<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:36:53 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Deprecated List (HttpCore NIO 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Deprecated List (HttpCore NIO 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Deprecated</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?deprecated-list.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="deprecated-list.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Deprecated API</B></H2>
</CENTER>
<HR SIZE="4" NOSHADE>
<B>Contents</B><UL>
<LI><A HREF="#interface">Deprecated Interfaces</A>
<LI><A HREF="#class">Deprecated Classes</A>
<LI><A HREF="#enum">Deprecated Enums</A>
<LI><A HREF="#field">Deprecated Fields</A>
<LI><A HREF="#method">Deprecated Methods</A>
<LI><A HREF="#constructor">Deprecated Constructors</A>
</UL>

<A NAME="interface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Interfaces</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/util/BufferInfo.html" title="interface in org.apache.http.nio.util">org.apache.http.nio.util.BufferInfo</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) Use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/io/BufferInfo.html?is-external=true" title="class or interface in org.apache.http.io"><CODE>BufferInfo</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity">org.apache.http.nio.entity.ConsumingNHttpEntity</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncRequestConsumer</CODE></A> or <A HREF="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncResponseConsumer</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/ContentListener.html" title="interface in org.apache.http.nio.entity">org.apache.http.nio.entity.ContentListener</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/EventListener.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.EventListener</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/HttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.HttpRequestExecutionHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">org.apache.http.nio.NHttpClientHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio"><CODE>NHttpClientEventHandler</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">org.apache.http.nio.NHttpClientIOTarget</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) no longer used</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpRequestExecutionHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpRequestHandler.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpRequestHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestHandler.html" title="interface in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestHandler</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpRequestHandlerResolver</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestHandlerResolver</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpResponseTrigger.html" title="interface in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpResponseTrigger</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol"><CODE>HttpAsyncExchange</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio">org.apache.http.nio.NHttpServerIOTarget</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) no longer used</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">org.apache.http.nio.NHttpServiceHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio"><CODE>NHttpServerEventHandler</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/params/NIOReactorPNames.html" title="interface in org.apache.http.nio.params">org.apache.http.nio.params.NIOReactorPNames</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor"><CODE>IOReactorConfig</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity">org.apache.http.nio.entity.ProducingNHttpEntity</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>use (4.2) <A HREF="org/apache/http/nio/protocol/BasicAsyncRequestProducer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncRequestProducer</CODE></A> or <A HREF="org/apache/http/nio/protocol/BasicAsyncResponseProducer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncResponseProducer</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/SSLIOSessionHandler.html" title="interface in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.SSLIOSessionHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) Use <A HREF="org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor"><CODE>SSLSetupHandler</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.SSLSetupHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl"><CODE>SSLSetupHandler</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="class"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Classes</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.AsyncNHttpClientHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.AsyncNHttpServiceHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncService.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncService</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/BufferingHttpClientHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.BufferingHttpClientHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.BufferingHttpServiceHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncService.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncService</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/BufferingNHttpEntity.html" title="class in org.apache.http.nio.entity">org.apache.http.nio.entity.BufferingNHttpEntity</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncRequestConsumer</CODE></A> or <A HREF="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncResponseConsumer</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/ConsumingNHttpEntityTemplate.html" title="class in org.apache.http.nio.entity">org.apache.http.nio.entity.ConsumingNHttpEntityTemplate</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncRequestConsumer</CODE></A> or <A HREF="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncResponseConsumer</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.DefaultClientIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/DefaultHttpClientIODispatch.html" title="class in org.apache.http.impl.nio"><CODE>DefaultHttpClientIODispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/DefaultServerIOEventDispatch.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.DefaultServerIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/DefaultHttpServerIODispatch.html" title="class in org.apache.http.impl.nio"><CODE>DefaultHttpServerIODispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/codecs/HttpRequestParser.html" title="class in org.apache.http.impl.nio.codecs">org.apache.http.impl.nio.codecs.HttpRequestParser</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) use <A HREF="org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html" title="class in org.apache.http.impl.nio.codecs"><CODE>DefaultHttpRequestParser</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/codecs/HttpRequestWriter.html" title="class in org.apache.http.impl.nio.codecs">org.apache.http.impl.nio.codecs.HttpRequestWriter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) use <A HREF="org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html" title="class in org.apache.http.impl.nio.codecs"><CODE>DefaultHttpRequestWriter</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/codecs/HttpResponseParser.html" title="class in org.apache.http.impl.nio.codecs">org.apache.http.impl.nio.codecs.HttpResponseParser</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) use <A HREF="org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.nio.codecs"><CODE>DefaultHttpResponseParser</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/codecs/HttpResponseWriter.html" title="class in org.apache.http.impl.nio.codecs">org.apache.http.impl.nio.codecs.HttpResponseWriter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) use <A HREF="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html" title="class in org.apache.http.impl.nio.codecs"><CODE>DefaultHttpResponseWriter</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NHttpEntityWrapper.html" title="class in org.apache.http.nio.entity">org.apache.http.nio.entity.NHttpEntityWrapper</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/EntityAsyncContentProducer.html" title="class in org.apache.http.nio.entity"><CODE>EntityAsyncContentProducer</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpHandlerBase</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpRequestHandlerRegistry</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestHandlerRegistry</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/params/NIOReactorParamBean.html" title="class in org.apache.http.nio.params">org.apache.http.nio.params.NIOReactorParamBean</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor"><CODE>IOReactorConfig</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/params/NIOReactorParams.html" title="class in org.apache.http.nio.params">org.apache.http.nio.params.NIOReactorParams</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor"><CODE>IOReactorConfig</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/SessionHandle.html" title="class in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.SessionHandle</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/IOSessionImpl.html" title="class in org.apache.http.impl.nio.reactor"><CODE>IOSessionImpl</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.SimpleNHttpRequestHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/BasicAsyncRequestHandler.html" title="class in org.apache.http.nio.protocol"><CODE>BasicAsyncRequestHandler</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/SkipContentListener.html" title="class in org.apache.http.nio.entity">org.apache.http.nio.entity.SkipContentListener</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/SSLClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.SSLClientIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl"><CODE>SSLClientIOEventDispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl">org.apache.http.impl.nio.ssl.SSLClientIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/DefaultHttpClientIODispatch.html" title="class in org.apache.http.impl.nio"><CODE>DefaultHttpClientIODispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.SSLIOSession</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/reactor/ssl/SSLIOSession.html" title="class in org.apache.http.nio.reactor.ssl"><CODE>SSLIOSession</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/SSLServerIOEventDispatch.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.SSLServerIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl"><CODE>SSLServerIOEventDispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl">org.apache.http.impl.nio.ssl.SSLServerIOEventDispatch</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/DefaultHttpServerIODispatch.html" title="class in org.apache.http.impl.nio"><CODE>DefaultHttpServerIODispatch</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.ThrottlingHttpClientHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.ThrottlingHttpServiceHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/protocol/HttpAsyncService.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncService</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="enum"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Enums</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/SSLMode.html" title="enum in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.SSLMode</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="field"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Fields</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NByteArrayEntity.html#buffer">org.apache.http.nio.entity.NByteArrayEntity.buffer</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NStringEntity.html#buffer">org.apache.http.nio.entity.NStringEntity.buffer</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NByteArrayEntity.html#content">org.apache.http.nio.entity.NByteArrayEntity.content</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NStringEntity.html#content">org.apache.http.nio.entity.NStringEntity.content</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#params">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.params</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)</I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="method"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Methods</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NByteArrayEntity.html#finish()">org.apache.http.nio.entity.NByteArrayEntity.finish()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/NByteArrayEntity.html#close()"><CODE>NByteArrayEntity.close()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NFileEntity.html#finish()">org.apache.http.nio.entity.NFileEntity.finish()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/NFileEntity.html#close()"><CODE>NFileEntity.close()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NStringEntity.html#finish()">org.apache.http.nio.entity.NStringEntity.finish()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/NStringEntity.html#close()"><CODE>NStringEntity.close()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/util/ContentOutputBuffer.html#flush()">org.apache.http.nio.util.ContentOutputBuffer.flush()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) No longer used.</I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="constructor"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Constructors</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor(int, java.util.concurrent.ThreadFactory, org.apache.http.params.HttpParams)">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor(int, ThreadFactory, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><CODE>AbstractMultiworkerIOReactor.AbstractMultiworkerIOReactor(IOReactorConfig, ThreadFactory)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(int, org.apache.http.params.HttpParams)">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor(int, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)"><CODE>DefaultConnectingIOReactor.DefaultConnectingIOReactor(IOReactorConfig)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(int, java.util.concurrent.ThreadFactory, org.apache.http.params.HttpParams)">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor(int, ThreadFactory, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><CODE>DefaultConnectingIOReactor.DefaultConnectingIOReactor(IOReactorConfig, ThreadFactory)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor(int, org.apache.http.params.HttpParams)">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor(int, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)"><CODE>DefaultListeningIOReactor.DefaultListeningIOReactor(IOReactorConfig)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor(int, java.util.concurrent.ThreadFactory, org.apache.http.params.HttpParams)">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor(int, ThreadFactory, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><CODE>DefaultListeningIOReactor.DefaultListeningIOReactor(IOReactorConfig, ThreadFactory)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NFileEntity.html#NFileEntity(java.io.File, java.lang.String)">org.apache.http.nio.entity.NFileEntity(File, String)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/NFileEntity.html#NFileEntity(java.io.File, org.apache.http.entity.ContentType)"><CODE>NFileEntity.NFileEntity(File, ContentType)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/nio/entity/NFileEntity.html#NFileEntity(java.io.File, java.lang.String, boolean)">org.apache.http.nio.entity.NFileEntity(File, String, boolean)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/nio/entity/NFileEntity.html#NFileEntity(java.io.File, org.apache.http.entity.ContentType, boolean)"><CODE>NFileEntity.NFileEntity(File, ContentType, boolean)</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Deprecated</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?deprecated-list.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="deprecated-list.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
